GPS Utility Changes 
--------------------

Version 5.3j
------------
1. Allow Waypoint prefixes up to 12 characters
2. Automatic route renumbering implemented
3. Bug in export of RTZ files fixed
4. Support for UNIX style of TRK file from Furuno GP1871F devices
5. Support alternative date/time format in Haiyang *.MRK files


Version 5.3i
------------
1. Fixed bug in KML import
2. Support for import of GPX file from Mercedes GLE SatNav
3. Support Ozi Map calibration file for Transverse Mercator user grid
4. Upgrade to *.BIN file import to deal with large numbers of routes
5. Upgrade to *.RTZ file export to (deal with double quotes and empty leg tag)
6. Support for import of Microplot version 7 *.MRK files


Version 5.3h & 5.34  22/03/2019
------------
1. Import of Navionics TRK files
2. Corrections to import of Navstar GPS MRK files
3. Allow export of Eastings/Northing in CSV files (Formatted - as is option)
4. Fixed bug in import of Garmin FIT files (heart rate value)
5. Improvements to the import of SatMap *.map files (comments and creation time etc.)


Version 5.3g  
------------
1. Fix for Folders... setting (Protected and Photo folder)
2. Increased Waypoint and Trackpoint limits
3. Provide filter for Own and Other vessel's track selection in TZD file import
4. Provide filter for Routes and Tracks in TZD file import
5. Correct Track summary data for tracks spanning E180/W180
6. Import of some Micano DAT files
7. Fix Import of GPX files for repeated Linestrings - only ask user once for Track or Route
8. Initialise track colour correctly
9. Inhibit setting Lat/Long when UTM/UPS is set

Version 5.33  28/09/2018
------------
1. Support for Route import from TZD XML files.
2. Support for Track import of Transas TRK files
3. Fix for high precision depth export of SHP files
4. Import of Depth Information from SHP/DBF files
5. Fix for Route to Track log tool when leg speed is zero
6. Fix for Batch processing of Streets and Tips EST files. 
7. Initial Import of Telchart V3 DAT/IDX file pair
8. Export of Depth data when stored as primary data. 
9. Fixes to SHP/DBF file import for depth values (primary and auxiliary fields) 
10. Fixes to KML import for some Unicode characters. 
11. Support for Persian momayyez decimal separator ('/')
12. On opening file use previously set Time Zone, not system time zone
13. Support for import of Version 4.10 Quodfish UDB files, also extensive changes to Version 2.01 files
14. Export of Version 4.10 UDB files (WGS 84 datum only)
15. Import and export of version 4.10 QUodfish WDB files
16. Import and export of Route Exchange *.RTZ files (ID field = name field)
17. Corrected bug in Transas RT3 file import.
18. Fixed UDB export to split track segments which are too large for that file format. 
19. Corrections fot USR file import to deal with format variation in version 6 files. 
20. Support for import of FAA Aeronautical Digital Obstacle Files(DOF) *.DAT files.
21. Symbol set provided for FAA Aeronautical DOF files.
22. Support for export of Transas RT3 files
23. Map Appearance option to show Rouet legs as Great Circle lines
24. Support for import of JRC JLU *.BIN files
25. Import of Routes in JRC JLU files 
26. Change to RTZ file import (name to Comment field)

Version 5.32    13/04/2018
------------
1. Correction to C_PLOT xml file import - track segments.
2. Support for import of version 6 Lowrance USR files
3. Changes to import of Humminbird HWR files
4. Support export of Humminbird HWR files.
5. Corrected Waypoint name problem (length) for SHP file import
6. Support Comment field for SHP file import

Version 5.3e 
------------
1. Support for export of Coastal Explorer NOB files
2. Fixed bug regarding undefined/invalid depth value in data dialog
3. Calibrate Depth function implemented (as per Altitude Calibration)
4. Support for import of SPH Geo-referenced Image Map files

Version 5.3d
------------
1. Save Timezero TZD and BTrack *.BIN files
2. Support Colour fields for TimeZero files


Version 5.3c
------------
1. Corrected problem with import of GPX files (Folders inside Folder)
2. Automatically refresh the JPG catalog when typeing in a new Photo Folder
3. Use existing coordinatate when opening an annotation with a georeferenced JPG file 
4. Fixed folder bug when doing SaveAs... after doing Open from Clipboard.
5. Support for import of dKart TRD and MRD files
6. Support for import and export of Samyung (*.dat) waypoint files
7. Correction for import of Samyung *.dat files
8. Provided an option for export of GPX files allowing selection of <cmt> or <desc> tag.
9. Updated some file export selection operations
10. Corrections to the import of DKart files (*.MRD)
11. Support for import and export of Samyung symbols and colours
12. Corrections to Symbol Table header line
13. Change to GPX file export (header line)
14. Support for import of symbol and colour information from Haiyung *.mrk files
15. Corrected a problem associated with copying data from a report
16. Corrected Samyung *.DAT file color translation table

Version 5.3b  - Version 5.31 09/10/2017
-------------------------------
1. Major changes to Export As and Save/Export Options
2. Corrected problem with name truncation for multiple waypoints from Annotation
3. Corrected problem with name truncation for Photo Dialog Create Waypoint from photo
4. Support for import of Google Maps Ground Overlay KMZ files
5. Support for Furuno GP39 GPX file import
6. Support for import of Waypoint Extensions in Raymarine GPX files  
 
Version 5.3a
------------
1. Improvements to KML file import
2. Correction to regression bug in Reports Track Information
3. Corrected a problem with calibration points not having a creation time
4. Corrected a bug concerning Georeferencing JPG files
5. Support for UNIX format of Furuno CSV files
6. Provide option to import TZD files with ID=Name and GUID=Comment
7. Extract comment information from TZD files
8. Fixed bug associated with changing Units with Trackpoint table
9. Exporting from Save/Export dialog does not cause dataset name to change
10. Fixed floating point error for Route Report when legspeed is set to zero
11. Fixed bug when altitude not set from DEM when using Sequence number for ID
12. Fixed a name truncation problem associated with Creating Waypoints from Annotation
13. In View|Reports, added 'Waypoint-Track Distance' to View menu to match dropdown list
14. Export waypoint comments in TZD XML file.
15. Fixed Regression bug associated with saving Tracks as Raw data
16. Increase number of trackpoints to 4000000

Version 5.30  08/05/2017
Version 5.2m  30/04/2017
------------
1. Corrected a problem with KML file import (linestrings wtih tab characters)
2. Support for export of Version 5 Lowrance USR files
3. Improved behvaiour when using different folders for Opening and Saving files.
4. Remember track invalid time options (i.e. Ask, Correct or Break) across files
5. Track smoothing filter for Maximum Speed in Reports (Track Segment Detail)
6. Corrected a bug when reading files with invalid time sequences (Break/Correct)
7. Fixed a bug with View|Reports giving Maximum pSpeed values
8. Added option to key in Track speed smoothing value instead of up/down arrows
9. Corrected buffer overflow problem with large ADM files (tracks)


Version 5.29  08/02/2017
------------
1. Included Furuno (bin) files in Save/Export Options Dialog

Version 5.2k  15/01/2017
------------
1. Support for Welsh server LIDAR-DEM filenames. 
2. Support for import of Canon LOG (NMEA type) files
3. Support for import of SAMYUNG *.DAT files
4. Corrections for import of Raymarine RWF files
5. Support for symbols in import and export of Raymarine RWF files

Version 5.2j     21/12/2016
------------
1. Fix for import of GPS-Essentials GPX file (empty metadata description tag)
2. Upgrade to support Furuno GD-280 MRK file import
3. Improved options for autonaming routes
4. Support for Date/time and depth for import of Haiyang *.MRK files
5. Improvements to SHP file import (with large DBF files)
6. Fix to deal with the new structure of LIDAR DEM Zip files
7. Make DEM button not visible when DEM=None 
8. Allow greater precision for user entry of Off Route distance
9. Import of a subset of 'Well Known Text' (*.wkt) files 
10. Allow longer titles in the Chart tool
11. Allow longer filenames and track names in View|Reports....
12. Reposition trackpoint table when track selected in Summary table
13. Fix rounding error for off route distance setting

Version 5.28    16/09/2016
------------
1. Fix to export a good header for TRANSAS AI files
2. Corrected a regression bug associated with merging files when a calibrated map is present 

Version 5.2i 
------------
1. Export Track Summary data as a CSV file
2. Support for import of UNIX format IGC files
3. Support for import GPSU written Backup (*.BAK) files
4. Refresh Track segment detail after edit dialog 
5. Support for import of Suunto SMIL (*.sml) files
6. Corrected regression bug when saving CSV files in gridded format
7. Corrected minor problem with import of SHP files
8. Added SeaPlot SPP to list of import files
9. Corrected spurious Save Message when loading a calibrated map
10. Fix for import of MaxSea GPX files (Color processing)
11. Import of raw Furuno Navnet files *.bk files

Version 5.27  01/05/2016
------------
1. Support for symbols when importing Memory Map iPad App GPX files
2. Improvements to closest colour algorithm
3. Support for import of Alpine Audio IGO *.TRK files 
4. Support for import of VisionDrive *.LOG files

Version 5.2h = Version 5.26
------------
1. Corrections to SHP file import when SHX file present
2. Ignore spurious trackpoint records in FIT file import

Version 5.2g
------------
1. Support for LIDAR DTM and DSM 1m resolution
2. Fix for Expand Track (refresh track table)
3. Improvement to CPlot MRK file import for waypoints
4. Fix to PTF file import for spurious depth readings
5. Support for Streets and Trips symbol set
6. Export S&T symbols in a Google Earth KML file
7. Support for State of Victoria (Australia) Grid
8. Support for import of CMAP Track files
9. Don't ask about waypoint ID when using Batch mode import of EST files
10. Export S&Trips symbols in KMZ files
11. Limit Left margin and border on print to 10 cms. 
12. Improvement to KMZ file import
13. Only transfer those S&T icons as needed
14. Inhibit some warning messages if batch job for S&T EST file import

Version 5.25   16/11/2015  (also 5.2f) 
------------
1. Fix for bug associated with Styles in import of KML files
2. Fixed regression bug associated with KMZ file import
3. Modified KML/KMZ file import to deal with duplicate track names
4. Improvements to TimeZero TZD file import to deal with later versions
5. Minor changes to program startup procedure 
6. Fix for CPlot(TMQ) trackfile TRK file import
7. Support for UK LIDAR DTM and DSM 2m Digital Elevation Models


Version 5.24   04/10/2015  (also 5.2e)
------------
1. Fix for create Creeping Line Search Pattern from doubling the Lane Width.
2. Deal with OSMAPS GPX file format.
3. Fix for import KMZ files when requiring continuation routes
4. Upgrade to import ADM files to deal with a new field type
5. Support Raymarine XML extension for Waypoint Depth in GPX files
6. Support for record type '1A' in Memory Map *.MMO import
7. Corrections to import of FIT files
8. Fix for Google Earth KML/KMZ file import associated with Placemarks 
9. Fixed a problem due to buffer overflow when saving FSH files.
10. Improvements to the Filter Tool so as to deal with Depth and Auxiliary data better
11. Fix to import of Hummingbird HWR files for version 2.
12. Support for import of SeaPlot Pro *.SPP files.
13. Structural changes to import of Google Earth (KMZ), TimeZero (TZD), SeaMap (MAP) and DEM (HGT) files.


Version 5.23   20/05/2015
------------
1. Fix to USR version 5 file import


Version 5.2d
------------
1. Improved QCT extract dialog to give arrow key selection of area and up to 6k x 6k
2. Allow Chart to be saved as JPG, PNG or TIF files as well
3. Some corrections to QCT file extract dialog including correction of a regression bug
4. Added gradient line to Chart Tracks facility
5. Enable Saving and Printing in the FNS Special edition (version 5.22/F)
6. Added DBS,DBT,DBK sentences to NMEA file import
7. Correction to TZD Tracks import
8. Added a 'Protected' dataset folder so that users can keep valuable files safe.
9. Safety check for invalid Off-Route Distances.
10. Improved ADM file export to handle a larger number of trackpoints.
11. Increased Waypoint limit for registered version to 200000.
12. Provided multiple file select facility for File|Merge....
13. Added a Merge Files menu item under Files when no open dataset. 


Version 5.22  01/02/2015 
------------
1. Corrected a number of problems with NMEA file import (depth and altitude)

 
Version 5.2c  22-01-2015
------------
1. Maximum number of annotations changed to 5000
2. Improved the usability of the Track Compress tool
3. Provided a Sort capability for the Track Summary table
4. Corrected a rare Address Violation when adding a Waypoint to a Route
5. Corrected a rare Address Exception when closing first of multiple datasets
6. Updated TZD file import to deal with slight change of format
7. Improvements to the Route to Track log tool 
8. Improvements to the Route Information report
9. New tool for Expanding Routes with extra waypoints
10. Corrected sequence number in Expand Route function
11. Added a user defined vertical offset for Gradient in Chart Route
12. Corrected some regression problems in Expand Route
13. Provide Dataset Precision Property for Altitude/Depth (0,1 or 2 decimal places)
14. Assume WGS84 datum for NMEA file import when Force WGS84 flag set
15. Interpret Garmin proprietary NMEA sentence for WGS84 Datum 


Version 5.21  22-10-14
------------
1. Corrected a time decode in the import of *.TZD files
2. Upgrade to deal with blocks of random track data within PTF files


Version 5.2b  ( & 5.20/F for items 1,2, & 3)
----------------------
1. Corrections to Furuno *.BIN file import
2. Corrections to general file import regarding duplicate waypoint IDs.
3. Corrections to SHP fileimport with a German Grid

4. Improved the Info box by showing Track segments
5. Right adjusted the number of points column in Track Summary Grid
6. Improved Load Bitmap/Map Calibrations menu and reworked Help to suite
7. Corrected label for raw track altitude checkbox
8. Corrected problem associated with importing tracks from *.FIT files.

 
Version 5.2a
------------
1. Support for LightHouse symbol set
2. Add new symbol set to Shortlist in Options|Symbol Sets
3. Corrected FPL file import to read in unnamed routes.
4. Corrected a regression bug associated with Garmin interface warning messages.
5. Import Depth from NMEA files containing $GPDPT sentences
6. Fix for exporting Garmin ADM files when time is undefined
7. Fix to deal with Routes in Version 5 Lowrance USR files
8. Corrections to TMQ CPlot *.RUT file import.
9. Corrected some problems associated with Linestring import in Google Earth KML/KMZ files
10. Support for import of IGO *.SAV files
11. Correction to CAL calibration file import
12. Support for icon styles in KML file import 

Version 5.20          16-4-14
------------
1. Improved messages for Garmin Mass Storage GPSs. 

Version 5.1x          7-4-14
------------
1. Support for Lowrance version 5 USR files.
2. Correction to USB Garmin GPS interface when using Windows 8.
3. Correction for DXF file import when using certain grid projections
4. Improved support for import and export of Lowrance version 4 files (depth, date/time plus comment fields)
5. Support depth on import of NOB files.
6. Increased Zoom-in by 2 steps of x2 plus High Precision Map grid labels

Version 5.1w
------------
1. Updated EST import to deal with more annotation types
2. Fix to Correlate Photos function to deal with waypoints with no valid time data
3. Fixed a problem with exporting waypoints for Furuno *.BIN files
4. Support GeoTiff files with Lat/Long projection calibration
5. Support for importing Tracks in Furuno *.BIN files
6. Corrected a problem with Nobeltex *.txt (ONF) file export when CF=Degrees
7. Use the file time for trackpoints when importing Furuno *.BIN files
8. Fixed a problem with loading GeoTiff files with AT/LONG projection when set to Mercator 
9. Corrected regression bug regarding Garmin USB interface in Windows 7 systems
10. Support for Trimble $PNTL,GGK NMEA sentences
11. Allow current coordinate format to be exported in Track Raw data files
12. Support for import of National Geographic TPO files. 


Version 5.19  4-12-13
------------
1. Fixed a problem associated with OSI calibration MAP files for Mercator projection
2. Support for import and export of Garmin FPL files 
3. Corrected export file list in Save/Export options dialog (Easychart)
4. Added non-user waypoints support for Gamin FPL file import/export
5. Correct a minor track sequencing problem when joining segments
6. Corrected a problem with using copy from the View|Reports function
7. Corrected a problem associated with generating search patterns using Mercator Projection
8. Updated GPX file import to deal with proximity data
9. Upgraded GPX file export regarding proximity data for GPSMAP62s
10. Corrected a problem with depth data during import of Furuno TRK files.
11. Corrected a problem with export of Furuno PNT files
12. Support for import of track data from CMAP *.xml files


Version 5.18  22-08-13
------------

Version 5.1v
------------
1. Added Depth to import and export in GPX files
2. Support for import of Simrad GP40 *.TRK files
3. Fix to deal with *.PTF files which have tracks in reverse time order.
4. Corrected a problem with SHP file import
5. Corrected a problem associated with decimal separator in map Overlay export
6. Translated Nordic characters in Map Overlay export
7. Import of Simrad 'Routes.txt' ASCII files


Version 5.1u
------------
1. Support for import of Furuno *.PNT waypoint files including shape and colour
2. Initial support for Navtrack *.DAT files (not yet complete)
3. Fix for Cursor remaining as Hourglass after Bitmap Calibration dialog
4. Give error message when encountering Gartrip *.wp files with undefined route waypoints
5. Support for import of Furuno *.TRK (<hit) track files
6. Export Depth value in GPX files
7. Support for import of Furuno *.PNT files containing routes
8. Added a new tool, Highlight Annotations in Area in map view
9. Added a surrounding box for highlighted annotations
10. Export of waypoints and routes in Furuno *.PNT files 
11. Possible fix for a rare Floating Point error during realtime operations
12. Correction to the handling of the South African grid projection
13. Export of tracks in Furuno *.TRK file (Furuno 1670/1870)
14. Fix to Furuno *.BIN import to deal with larger block sizes.
15. Fix to Raymarine FSH file export to deal with files with more than 2 data blocks 
16. Support for import of *.STK Track files
17. Correct a problem with import and export of Furuno *.PNT files
18. Corrected some minor problems with Garmin *.GDB file export and import
19. Upgraded Garmin USB interface handler so as to work on Windows 8 OS
20. Upgraded GPX file export to be more compliant with Garmin Base Camp software


Version 5.17 - (24/05/2013)
------------
1. Corrected a regression bug associated with creating routes using map view.
2. Corrected a problem with the import of Version 4 Lowrance USR files. 


Version 5.1t 
------------
1. Fixed bug in TZD (Tracks.bin) file import 
2. Automatic restart Position Console after Disconnect->Connect for NMEA mode
3. Fixed regression bug associated with echoing position on map for grid projections
4. Fixed regression bug regarding invalid DEM heights for grid projections
5. Fixed regression bug associated with the filter tool limits
6. Changed format of heartrate in GPX exported files to comply with Garmin Basecamp
7. Changed the Generate Waypoint grid to give alphabetic/numeric IDs
8. Corrected a bug in GPX file import so as to deal with Anquet files 
9. Adjusted the Waypoint selection dialog to give less whitespace
10. Changed the Waypoint selection dialog to echo coordinate and comment
11. Put Save As Overlay button into the Map Calibration dialog
12. Corrected waypoint ID and time property setting in TZD file import 
13. Support Date/Time stamp for tracks in TZD file import
14. Fixed regression bug when digitising waypoints using altitude from DEM
15. Fixed a problem associated with importing depth data from Lowrance USR files
16. Do not give the reduced precision warning message on File|SaveAs...
17. Fix for rare address exception error when reading serial interface
18. Deal with empty Maxsea PTF files. 
19. Fixed regression bug associated with DEM altitude for trackpoints and setting Altitude from DEM


Version 5.16   (15/03/2013)
------------


Version 5.1s   (02/03/2013)
------------
1. Corrected a regression bug caused by the User grid implementation
2. Added a 'Towed Object' mode to Make Offset Track tool
3. Changed algorithm for the Towed object offset track mode
4. Corrected Help file with bitmap images


Version 5.1r  (18/02/2013)
------------
1. Support for import and export of Raymarine *.RWF files
2. Addition of User Grids for registered version of GPSU (major changes in map grid support) 
3. Support of OZI *.MAP calibration files requiring use of a User Grid
4. Support MIF file import when grid projection is not defined
5. Provide options for handling duplicate waypoint IDS in GPX file import
6. Corrections to Telchart *.DAT file import
7. Support DD^MM.mmmm format for Coastal Explorer NOB file import


Version 5.1q  (10/01/2013)
------------
1. Output High precision leg data for Route Card export
2. Changes to Maxsea PTF file export to include waypoint depth
3. Display High Precision route leg data in Route Dialog and check for overflow cases
4. Corrected a regression bug associated with DEM height processing
5. Changed Data table view when returning from map view for tracks and routes
6. Issue warning message when waypoint or route name longer than 16 characters
7. Corrected a regression bug associated with Maptech *.txt file import 


Version 5.1p  (21/11/2012)
------------
1. Minor changes to ADM file import and USR import and export (depth handling)
2. Fixed a bug associated with TFW calibration files with differing X & Y scales
3. Support for BIL+HDR DEM files, including units as Feet.
4. Fix for error encountered in saving PRJ file with Dutch Grid set
5. Fixed a bug associated with map calibration when changing projections
6. Fixed a bug due to an unsupported projection in GeoTif file import
7. Fixed a bug caused by trying to draw waypoint symbols when no symbol set present
8. Fixed a bug associated with SHP file import with large DBF files
9. Fixed a problem with KMZ file import
10. Support for Google Earth KMZ file export.
11. Some changes to import of *.AI files

Version 5.15 - 20 September 2012
------------
1. Support TIF LZW files with predictor coding


Version 5.1o
------------
1. Support the OSGB grid projection for GeoTif image file import
2. Support for Geo-TIF image files without full geotag information.(e.g. Spanish 25K)

Version 5.1n
------------
1. Give better warning messages for Garmin USB Mass storage devices
2. Take care corrupt settings file (*.ini) by offering defaults or use backup file
3. Some bug fixes to import of *.FSH files
4. Left justify From and To colums in Route Edit dialog
5. Improvements to USR version 4 file import
6. Provide option to export waypoints for USR version 4 files 
7. Detect high precision in GPX file import
8. Various corrections to import of USR version 4 files
9. Support MM format GeoTiff files, also UTM projections in NAD27 and NAD83
10. Fix for bug in NMEA file import when both GGA and RMC sentences present
11. Reworked recovery mechanism for corrupted settings file  


Version 5.1m  - 24 July 2012
------------
1. Support suffixed names for waypoint import from DXF files
2. Allow British Grid on opening DXF files instead of the BNG Numeric grid
3. Fix to ADM import when both Depth and Temperature data are present


Version 5.1l (note lowercase 'L') - 9th July 2012
------------
1. Corrected a problem with OZI PLT file imports (local time offset)
2. Display correct datum after importing an OZI PLT file
3. Adjusted width of Datum button to allow more space
4. Correct trackpoint sequence number when breaking track
5. Support Logbook tag for GPX file imports (<lgb...>)
6. Support for import of OTS (OceanVision) *.OVD files
7. Correct a rounding error problem associated with USR file import. 
8. Fixed a regression bug which caused a problem in track compression.
9. Corrected a GPX import problem associated with Routes
10. Correct a minor problem with File Categories
11. Allow use of filter on importing SHP files 
12. Improvements to the 'Create waypoints from Trackpoints' tool
13. Improved the Filter tool to better deal with UTM grids 
14. Corrections to export of Anquet AEF files (removed some obsolete save options). 
15. Removed a save option for Anquet ARF file export
16. Added a combo drop down list box in Insert Waypoint in Route Dialog 
17. Corrected a problem with the Insert Waypoint in Route Dialog (long waypoint IDs)
18. Removed trunction of waypoint names in Route Edit Dialog.


Version 5.1k = 5.14 11th May 2012
-------------------
1. Extract waypoints from Garmin *.FIT files.
2. Fixed a bug in KML file import (tracks)
3. Translate symbols to Garmin standard set on FIT file import


5.1j
----
1. Added an Ellipsoid Earth Model for distance calculations.
2. Added Earth Model options to Options|General. 
3. Corrected a bug associated with SEG P1 *.sp1 file import.
4. Support different background colours for Map, Alternative and Grid Fonts.
5. Support for different time formats for durations in Route Report.
6. Corrected format problems with Route Edit Dialog and View|Reports for 12 hour clock
7. Corrected a problem with using the Position Console with a path setup to a Waypoint
8. Released a new symbol set for the Garmin Dakota, taking care of synonyms
9. Implemented Oblique Stereographic projection for RD_New Grid. 
10. Corrected a minor problem associated with merging a file with no defined symbol set.
11. Improvements to Track Raw data export (timestamps in Excel numeric format and start code column)
12. Send Route name during Furuno Route upload for Furuno GPS33.


5.13  7th March 2012
----
1. Corrected a problem with import of version 4 *.USR files 


5.1i
----
1. Test to cure spurious appearances of Data Dialog.
2. Implement ASTER GDEM V2 digital elevation model.
3. Give warning when tile does not exist for Set Alt from DEM.
4. Convert altitude to feet on Ozi Waypoint export (*.WPT files).
5. Correct a minor setting regarding High precision coordinates.
6. Provide a solid background for Grid Text labels.
7. Import of tracks from Garmin *.fit files
8. Support UTM on GRS80 ellipsoid for Mapinfo file import
9. Support for Google Earth and Google Maps symbols and KML file import/export
10. Corrected a bug associated with import of Transas *.AI files. 

5.1h
----
1. Corrections to TelChart *.DAT file import
2. Corrected a regression bug associated with the Rocker button on the Data Dialog.
3. Bug fix for Raymarine *.FSH export of zero length routes.
4. Fixed import of Raymarine *.FSH route import. 
5. Fixed bug for Lowarance *.USR import of zero length routes. 


5.1g    (with symbol set changes)
--------------------
1. Support for symbols in FSH file import
2. Major changes to the Symbol Set handling, support for *.YGU files. 
3. Save symbols in FSH file export
4. Export track names in FSH files
5. Correct an initialisation problem regarding digitising tracks
6. Download/Upload Garmin GPX files automatically if file structure present in GPS.
7. Corrected a symbol set regression problem (access violation)
8. Some further symbol set handling corrections

Version 5.1g    (org)
------------
1. Correct problem with PCPlanner XML file import regarding routes.
2. Support for Lowrance *.USR version 4 files including trails
3. Correct Route reversal in NOB file import
4. Allow multiple selection for Tools|Reverse Route

Version 5.1f
------------
1. New echo mode in Map Settings for Tracks - Speed, Course, VMG and Bearing
2. Support export of Routes in PCPlanner XML files
3. Correct minor bug concerning track waypoints - issure warning message
4. Support for export of Track data in new Google Earth track format
5. Import of Google Earth Track format (gx:Track type)

Version 5.12  26th September 2011 
------------
1. Support for Symbols in Furuno *.MRK file import/export
2. Deal with Garmin symbols of type 'Flag, Red' on import

Version 5.1e  20th September 2011
------------
1. Corrections to import of Transas *.CRA files
2. Fixes for manual setting of track waypoints.
3. Several fixes for Area Search Patterns / Survey lines 

Version 5.1d  9th September 2011
------------
1. Restructuring of many import functions to improve performance/resource usage.
2. Support Lat/Long WGS84 coordinates for Anquet ADF file import
3. Support large comment fields in ADF file import
4. Corrections to Furuno Navnet MRK file import
5. Support Lowrance Version 4 USR files 
6. Extract creation time for waypoint download from Lowrance GPSs
7. Fix bug for import of Mapinfo TAB files - ID not recognised
8. Inital support for GeoTif files (at present only for NZTM2000 Topo maps) 
9. Import of CMapECS *.GDS files
10. Fix to Quodfish UDB file import

Version 5.1c
------------
1. Generate track information during real time data logging
2. Correct a memory leak for photo annotations
3. Give error message when user attempts to open a GUX file directly
4. Export SeaClear *.srw files
5. Export PCPlanner XML files with leading zeros
6. Support single Lines in MapInfo *.TAB file import
7. Upgrades to TelChart *.DAT file import for V3 files 
8. When styles enabled use style line thickness for export to Maxsea PTF files
9. Added Symbol set for TelChart data
10. Export of TelChart *.DAT files   
11. Fix for GPX file import for Freeware version for Route Full message
13. Fixed regression bug in Version 5.11 when double clicking on Trackpoint in map view did not bring up data dialog
14. Fixed two minor bugs in *.EST file import 
15. Take care of the Open/Closed polygon flag in *.EST/*.AXE file import
16. Use Track names for EST file import 
17. Modified GPX file import to deal with Garmin flag symbols containing a flag
18. Do not issue warning symbol messages when being driven from the Batch File converter
19. Import of TimeZero TZD *.BIN files  

Version 5.1b = Version 5.11 23rd June 2011
---------------------------
1. Improvements to Anquet ARF file import for the Freeware version
2. Performance improvement for the Cut Marked Records tool
3. Preliminary support for TZD Track (bin) and waypoint database (xml) files. 
4. Corrections to Units button labels.

Version 5.1a   13th June 2011
------------
1. Deal with GPX files with quotes round latitude and Longitude values
2. A new Tool to reverse the order of track segments
3. Allow the user to reverse the order of trackpoints within a segment
4. Provide a shortcut key on the map view to zoom the map to the extent of the window
5. Inform user when ID length is greater than maximum on opening files.
6. Corrected regression bug when track names were not being written to GPX files
7. Deal with 'Invalid Datetime' in GPX file import (from MS S&T 2011 export)
8. Fixed a few bugs associated with editing and joining tracks
9. Added MGA-94 Grids (Map Grid Australia) to grids files
10. Support MGA-94 grids in MIF/MID and Mapinfo TAB file import
11. Corrected a problem with GPX file import (MagicMaps Tour Explorer files)
12. Give a warning message when coordinate field is too small during export of DBF files.

Version 5.10   7th May 2011
------------
1. Fix to ADM file export for large files
2. Support High and Low precision coordinates for PCPlanner XML and CPlot USR file export
3. Import of Imray Digital Chart (IDC) *.rte route files 


Version 5.0v  10th Apr 2011
------------
1. Support for Olex file Symbol set.
2. Provide option to allow DBF files to be exported with numeric data
3. Provide import of Waypoint Creation timestamp from DBF files
4. Support Multiple Polylines in Mapinfo TAB fileset import
5. Take of duplicate route numbers when opening GPSU files
6. Added 'yards' to horizontal distance units
7. Added 'Units' settings button on Table and Map view 
8. Added 'Units' to Chart and View|Reports... so that they can be changed quickly
9. Support of Mercator projection for Ozi Explorer *.MAP calibration files
10. Support for Glopus *.KAL calibration files (Mobile Atlas Creator)
11. Fix for Maxsea PTF file import when file contains obsolete data.
12. Support for Coastal Explorer Symbol Set
13. Translate table for Olex files Symbol Set
14. Support track names for NOB file import


Version 5.09    10 Feb 2011 
------------
1. Allow user entry of time difference in JPG correlation form
2. Only set readonly flag when there is real data in an XGU file (not Calib data)
3. Hide calibration data when using XGU in dataset information
4. Inhibit Save Tags on File|Save/Export dialog for some special editions
5. Do not show warning message when unable to save data for some special editions
6. Fix to Chart Route regarding echoing the X value (distance)


Version 5.0u    31 Jan 2011
------------
1. Fixed a KML file import problem associated with extra spaces in LineStrings.
2. Fixed a filepath problem when dealing with multiple maps with different filepaths
3. Changes to the File menu for some Special Editions of GPSU
4. Fixed a regression bug associated with real time tracking (store full)
5. Show correlation position even for photos with own GPS position in JPG Correlate dialog
6. Support Depth in Version 3 Lowrance USR files for both import and export 


Version 5.0t     12 Jan 2011
------------
1. If lastfile is *.gps then make this the default file extension for new files.
2. Added guidelines to calibration diamond symbol
3. Support for Furuno GP33 (waypoints with no CRC, comment length=13 and color)
4. Added support for ICONS in Lowrance USR file import and export
5. Corrected a window initialization problem associated with UTM grid with Lat/Long format
6. Corrected a problem with reading Maptech Routes32.txt file


Version 5.08   22 Nov 2010
------------
1. Position first new map calibrate at centre of dataset extent
2. Corrected a bug with OziExplorer *.RTE file export
3. Change FNS files to non-proprietary files
4. Inhibit saving of FNS and QCT files. 
5. Corrected a problem with updating file when map folder location is changed.


Version 5.0s
------------
1. Fix for regression bug in Tracklogs TRL file export
2. Support TIFF-LZW images with British Grid calibration
3. Extensive clean up of Map calibration code
4. Fixed some regression bugs (after clean up) in Map calibration code  
5. Deal with duplicate waypoints for Google Earth KML/KMZ file import
6. Allow delete of calibrations for which there is no image file
7. Added RGF93 Datum and Lambert93 grid
8. Corrected warning message when there is no card in removeable media device
9. Changed Route dialog to be a stay-on-top form


Version 5.0r
------------
1. Import SEGP1 (*.sp1) UNIX format files without height information.
2. Changes to Open and Save Dialogues (Vista versions).
3. Minor change to Route dialog to enable Apply button on Time Ref set End time.
4. Set modified flag in Route dialog when data changed
5. Support for LZW compressed TIFF image files (Ordance Survey tiles)
6. Fix to Maxsea PTF file import to extract waypoint create time
7. Increased maximum number of trackpoints in Lowrance USR file export to 9999
8. Fix a format problem with JPG file geo-referencing
9. User original image create time for JPG file correlation 


Version 5.0q
------------
1. Round negatively rather than round to nearest in Grid Low Precision coordinates
2. Added Options|File Categories menu so as to reduce options in File|Open.. and File|SaveAs...
3. Added warning message when attempting to save files with reduced precision.
4. Make the File|Open Dialog resizeable.
5. Fixed a bug in Furuno Navnet TRK file import.
6. Support for Garmin TCX version 2 files (Activities)
7. Added Heartrate in export of TCX version 2 files
8. Import of TelChart *.DAT files
9. Corrected a problem with saving File Categories settings


Version 5.0p
------------
1. Extended number of trackpoints to 750000
2. Changes to the COM interface to deal with TSD (Tracking System Driver)
3. Correction to Generate Waypoint Grid function
4. Provide a Break All option when opening files and there is an invalid time sequence
5. Provide a 'Low precision' option for datasets.
6. Support shape type 21 point X,Y,M) in SHP file import
7. Further work on COM interface for PGU data.
8. Fix for Mapsource Route import from *.GDB files
9. Information Message for Garmin GPSMap62 device


Version 5.07F
-------------
1. Allow only FNS image files
2. Implemented File|Homefile


Version 5.0o  = Version 5.07  16-06-10
------------
1. Corrected initialization problem for My GPSU folder
2. Corrected initialization of Wpt grids parameters
3. Do not reset the Attribute field parameter on File|New
4. Corrected rotation error of 180 degrees in Save Bitmap Overlay (KML.KMZ files)
5. Preparatory work for upgrade to newer development system
6. Fix to EST file import (format problem)


Version 5.06   03-06-10 
------------
1. Corrected field separator in EST file import of comments (Set ID name)

Version 5.0n
------------
1. Fixes to MakeGeoReferenced JPG file to deal with jpgs with partial GPS data.
2. Export waypoint creation time in GPX file
3. Provide ability to ignore annotations with non-existent JPG files on opening files
4. Provide ability to re-select the default photo file for annotation import 
5. Improvements to Bitmap Calibration Dialog 
6. Added date to 'Track' so as to give more identification on KML file export
7. Support marked records in Calibrate Altitude function
8. Support for SWEREF99 zonal grids (e.g.16-30)
9. Import of vCard files with GEO information.
10. Support NZTM 2000 in Mapinfo MIF/MID and TAB fileset import
11. Use data field information for ID and Comments in TAB file import
12. Fixed a problem transferrng depth information to Garmin Devices when depth is primary data
13. Fix to GPX file export for descriptive data
14. Extensive changes to Streets & Trips EST (and AXE) file import to deal with very large files
15. Append set name to comment field in EST file import
16. Allow user to Ignore ALL duplicate names or Rename them on file import
17. Fixed a problem in Mapinfo TAB fileset import
18. Improved the Waypoint to Track distance algorithmin View|Reports....


Version 5.0m = Version 5.05 13-04-10
------------
1. Report Waypoint Track Distance function to allow distance along track to be written to waypoint record
2. Plot waypoints on track profile chart.
3. Some fixes to EST and AXE file import (for very large files)
4. Fix to TCX file import
5. Fix to Map Overlay export (rotation due to grid convergence)
6. Implement a DrawOrder tag in Map Overlay export
7. Export tracks in different colours when colour cycle
8. Allow user to abort when annotation photos cannot be found
9. Fix to Calibrate Altitude function when no reference point is selected
10. Fix to Mapinfor MIF file import for segmented REGIONS and Swiss grid


Version 5.0l = Version 5.04 06-03-10
------------
1. Improved Enhanced metafile export (*.emf and *.wmf) - bitmap and window export 
2. Fixed a problem with printing reports (loss of information)
3. Deal with new waypoint data types in Mapinfo TAB file import.
4. Support a new object format in MMO file import
5. Support import of waypoint ID and Comment fields from Mapinfo TAB file import
6. Support a new track object type in MMO file import
7. Further corrections to MMO file import
8. Corrections to Mapinfo TAB fileset import
9. Support Belgium Lambert Conformal Conic projection in MIF and TAB file import
10. Fix for longitude error in Annotation import from EST and AXE files
11. Change to 'create waypoints from annotation' tool.
12. Correction to PRJ file export (spurious commas)

Version 5.0k  23-12-09
------------
1. Implemented Save Bitmap as Custom Maps Google Earth KML Overlay file 
2. Custom Maps can now be saved as a Google Earth KMZ Overlay file 
3. Custom Map Transparency implemented
4. Remove Date/Time text from comment field when interpreting Date/Time 
5. Added time values to Reports toolbar to provide easier identification of track segments

Version 5.03   05-12-09    
------------
1. Default symbol set for Garmin GDB file import is now SSOregon (type15)

Version 5.0j  01-12-09
------------
1. Import AI files as waypoints plus support for symbols and text
2. Updated Transas symbol table files and correct AI import/export bugs.
3. Added Garmin Oregon symbol set
4. Further corrections to Transas AI file import/export
5. Extended symbol set for Garmin Oregon GPS


Version 5.0i   07-11-09
------------
1. Increased Maximum Bitmap scaling to x64 (6400%)
2. Implemented import of SeaPro L01 and L02 files
3. Provide High Precision track data
4. Force Options|Save on Exit when upgrade NASA DEM notice is shown
5. Ignore RangeBearing type in Nobeltec *.txt file import
6. Fixes to Import of Transas *.AI files
7. Export of Transas *.AI files
8. Fix for *.FSH file export 


Version 5.0h   24-10-09
------------
1. Improvements to Delorme SAF and DMT file imports to deal with new format variations
2. Implemented Survey Area function (from Route view)
3. Improvement to Sort Waypoints by proximity to Route.
4. Do not use Hidden waypoints, tracks and annotations to assess initial map view
5. New fastpaths - Ctrl-L for Select All records and Ctrl-K for mark all records
6. Corrected problem associated with sorting waypoints by route
7. Implemented a dialog box for Area Search Pattern and Survey Line generation
8. Improved and fixed a bug in Delorme AN1 file import (format variation)
9. Change of program structure for FSH file export to deal with improved format 
10. Implemented track export for FSH files
11. Implemented track export for AN1 files
12. Deal with waypoint creation time and altitude for AN1 file import and export
13. New Search Area algorithm implemented


Version 5.0g  16-09-09
------------
1. Check ID length when changing prefix length or sequence number length so as to avoid truncted IDs.  
2. Add track name to MID files on exporting tracks in MIF files.
3. Do not pad blanks for Wpt ID name on Garmin POI CSV file export
4. Fix for Maxsea PTF file export when dealing with very long comment fields
5. Fix to Furuno *.BIN file export for Simrad GPSs
6. Fix to Garmin *.ADM file import to deal with null routes  


Version 5.02 - 23 August 2009 
=============================

Version 5.0f
------------
1. Correction to *.FSH file import + interpret Depth data from FSH files.
2. Interpret temperature in FSH files
3. Fix to Street and Trips *.EST file import (for very large files)
4. Support for multiple targets in DSC/DSE positions - new DSC settings in Tracking Setup Dialog.
5. Improvements to Furuno CSV file export (comment length and character set)
6. Support symbols in MemoryMap *.MMO file import
7. Implemented Copy of cursor current position to cliboard (Ctrl-C)
8. Implemented Copy Bitmap in Map view window - copies bitmap to clipboard (Shift-Ctrl-C)
9. Some corrections to Mapinfo *.TAB file import 


Version 5.0e
------------
1. Export of AsPosFull Geodetic grid and datum in Mapinfo file export
2. Correct a problem associated with delimiters on MIF file import
3. Corrected some problems associated with Route Store Full.
4. Major rework of the primary data field (Altitude) so that it can accommodate Depth
5. Correct a problems associated with $xxDSE sentence interpretation
6. Export of temperature in Garmin ADM files
7. Change to Chart function to deal with Depth as primary data


Version 5.01 - 20th and 21st July 2009
======================================

Version 5.0d
------------
1. Corrected a problem associated with S&T EST file import of Annotation data
2. Initial Changes to support Temperature as an Auxiliary data
3. Support for AusPos Full Geodetic grid in Mapinfo File import
4. Reinstate the ability to show small trackpoints when neither lines or points are enabled in Map view


Version 5.0c
------------
1. Support for NMEA DSC sentences $xxDSC and $xxDSE (real time current position only). 
2. Clean up of Kartex file imports.
3. Export of Kartex files in other formats than Decimal degrees. 


Version 5.0b
------------
1. Support Auxiliary Data (Depth) on SHP/DBF file export.
2. New map setting to allow provide grid on map borders only
3. Implemented the Oblique Mercator projection (RSO) (West Malaysia RSO grid)
4. Fix to colour selection for Annotation text
5. Fix to GPX file export for partially highlighted tracks
6. Change of DEM download from FTP to HTTP protocol
7. Import of Furuno *.csv Route files (rte)
8. Export of Furuno *.csv Waypoint (wpt), Temporary Waypoints (twp), Routes (rte) and Tracks (trk).

Version 5.0a
------------
1. Import of Furuno CSV files for Waypoints(wpt), Temporary Waypoints (twp) and Tracks (trk)
2. Export of waypoints to Furuno CSV file (wpt) 
3. Setting in File|Folders to have different default Save folder from last opened file.
4. Import of Coastal Explorer *.NOB files.
5. Correction to KML/KMZ file import of routes
6. Import and export of JRC *.WPT files (waypoints only)


Version 5.00/C  (2009-05-27)
-----------------------
1. Support 'Swedish grid' in Mapinfo MIF file import
2. Remove Edit Styles button from Route Edit dialog when Styles are not enabled.
3. Give error message when trying to save import only files e.g. KMZ.
4. Corrected a problem associated with the Garmin USB interface.
5. New metric Indian grids - Zone IIA and IIB.
6. New symbol set for - Edge 705


Version 5.00 (2009-05-17)
-------------------------

Version 4.9u
------------
1. Ensure the layer name field for DXF file export cannot be empty.
2. Support track segments for Kartex KTF file export.
3. Fix for MIF file import (datum problem).
4. Added Oregon and Zumo to list of Garmin Removeable Media devices.
5. Support to import of Society of Exploration Geophysicists (SEG) *.SP1 files (SEGP1)
6. Fix for datum problem when merging Mapinfo TAB files.


Version 4.9t
------------
1. Import of Quodfish UDB files (preliminary version)
2. Corrected a regression bug regarding gross ascent/descent for routes. 
3. Provide an extra decimal digit for Lat/Long coords (Hi precision in Options|Dataset)
4. Corrected a problem associated with the smoothing altitude function for tracks
5. Fix for Copy/Paste waypoint proximity data cells 
6. Some fixes and improvements for UDB file import
7. Open Garmin POI GPI files  
8. Corrected regression bug in UDB file import
9. Import of Garmin and Navman CSV files 
10. Export of Garmin POI CSV files


Version 4.9s (2009-04-18)
------------
1. Fix to import of Furuno USERIMG.BIN files
2. Fix to import of Seaclear SRW files
3. Correction to PRJ file export
4. Major improvement to import of MTK BIN files
5. Fixed a problem associated with altitude in exporting TCX files
6. Improvements to MTK BIN file import to deal with all log formats
7. Fix to Filter tool regarding a not valid floating point number error
8. Fix to Save/Export Options for use with Batch File Converter
9. Fix to MMO import to deal with a new category type
10. Deal with speed data correctly in SeaClear SRW files.
11. Fix to MTK BIN file import for track datum problem
12. Fix to Garmin ADM file import for track datum problem
13. Fix to Furuno USERIMG.BIN export when no routes in dataset
14. Fix to MemoryMap *.MMO file import to deal with a new format variation
15. Addition of Irish TM grid and SWEREF99 TM grid.


Version 4.9r  (2009-03-28)
------------
1. Support for Sector search and Creeping Line search patterns
2. Import of NMEA files containing $GPGLL sentences
3. Fixed a problem associated with import of Turboloader Data.000 files
4. Support for export of Garmin TCX files
5. Support for symbols in Streets & Trips and Autoroute Express file import
6. Corrected a problem with Magellan Maestro *.DAT import
7. Fixed a problem associated with reading uncalibrated map images
8. Fixed a problem regarding dragging JPG photos.
9. Corrected a problem associated with pointers as map annotations
10. Implemented user option to allow shorter suffixes for automatic Waypoint ID generation
11. Corrected a bug in Maxsea *.PTF file import
12. Fixed a bug associated with Satmap Active10 *.map file import
13. Improvement to Nobeltec ONF file export
14. Fix to Maptech TXF file import (track names).
15. Fix to data dialog when defining new waypoints with grid coordinates 
16. Support Heartrate field in Garmin Colorado GPX files.
17. Export of SatMap *.map files


Version 4.9q  (2009-03-05)
------------
1. Fixed a problem with Create Search Pattern -> convert to Waypoints and Route
2. Implemented a method to allow user to manual position and Geo-Ref JPG files. 
3. Corrections to Garmin Serial interface code (regression bugs caused by Garmin USB code)
4. Automatically highlight waypoints on highlighted route upload, so they go too.
5. Support for export of routes in Autocad DXF files

Version 4.9p   (2009-02-20)
------------
1. Completely reworked Garmin USB Interface (Asynchronous)
2. Addition of Turning Radius to Create Search Pattern function plus tother changes
3. Generate Waypoint Grid new function
4. Fix to Mapinfo *.TAB file import
5. Deal with clashes of Route number when merging files.


Version 4.99/E
--------------
1. Fix to ADM file import for files generated by Mapsource version 6.15.3.


Version 4.99 (2009-02-11) 
------------
1. Stop Print Map dialog hidding behind other windows when used. 
2. Fix problem with Delete key not responding on second action


Version 4.9o  (2009-02-05)
------------
1. Fix to Tracklogs *.trl file import
2. Fix to Anquet version 1 file export
3. Import of Transas *.RT3 files 
4. Support for a Nikon JPG file format in Correlate Photos function
5. Improvements to Correlate Photos function regartding GPS time adjustment
6. Fix to import of GDB files for tracks with no valid date/time stamp
7. Fixes to GPX file import for waypoint creation times (from QUO software)
8. Import of SeaClear *.SRW route files
9. Support Headings in import of NMEA files
10. Import and Export of Furuno GP7000 USERIMG.BIN files.
11. Import of Fugawi POI *.FPI files.



Version 4.9n  (2008-11-28)
------------
1. Deal with Newline characters in *.TRL file import and export
2. Fix to JPG Correlate function regarding subfolders and also for non WGS84 datums
3. Map Settings to show Coordinates of Waypoints and Trackpoints in Floating Identifier
4. Ability to copy Floating Identifier content to clipboard (Ctrl-Left mouse click)
5. Option to have a single coordinate line in data dialog. 
6. Correction to GPX file import associated with regional time settings
7. Correction to OZI Explorer *.WPT files for Altitude data (regression bug)
8. Import of SatNav Active 10 *.MAP files
9. Import of track data from Magellan Roadmate 760 *.PVT files 
10. Fix to the Route Edit dialog regarding route name refresh
11. Added Malta Grid to grids file
12. Added facility to show GPS time in JPG photo correlation to provide alternative calibration method
13. Corrected a problem with the Waypoint function, Interpret Comment as Date/Time


Version 4.9m
------------
1. Fix to DFL file import (new record types)
2. Fix to MOB function so as to refresh the waypoint view correctly
3. Fix to Nobeltec file import (waypoint ID length)
4. Fix to MemoryMap to support recent version of *.MMO files 
5. Corrected a problem associated with Furuno *.TRK import
6. Corrected a problem when Route table is full in the Freeware version.
7. Give warning message on changing type of Auxiliary data in Options|Field Properties
8. Import new point types in Delorme SA9 files + correct a Freeware Route problem. 


Version 4.98  (2008-10-15)
============
1. Deal with Nobletec ONL files without proper headers.
2. Output altitude in geo-referenced JPG files
3. Further fixes to Geo-correlate function
4. Refresh table in Geo-correltate Dialog when Local time changed 
5. Translate any commas in Route name for Magellan Explorist *.RTE file export


Version 4.97 (2008-10-09)
============
1. Corrects a regression bug introduced in version 4.96 (saving settings)
2. OffRoute distance made floating point value (not integer) to correct minor fault
3. Correction to JPG correlate function for Sony files which are in Motorola (MM) byte order
4. Correction for regression bug in version 4.96 (ini files)
5. Added GPS time to JPG photos when geo-referencing photos


Version 4.96 (2008-10-04)
============
1. Option to control Calibration maps order (i.e. in recently used order) 

Version 4.9L
------------

1. If bitmap image file is not found in specified place then look in other folders and set modified
2. Deal with DWG PLT track files that do not have a startpoint.
3. Provide option to use all subfolders in JPG file correlate function
4. Prived an ALL option when re-autocorrelating JPG files 
5  Only present one 'overwrite Backup' question when processing a number of JPG files. 
6. Provide an option for NMEA 2.3 or NMEA 1.8 in File|Save/Export Options
7. Fix to Mapinfo *.TAB file import for southern hemisphere
8. Fix to *.gpx file import.
9. Fix to *.ADM file import for track depth
10. Provide customization of Naismith's rule in Route Edit dialog.
11. Implemented a Compress Route function with 3D option
12. Corrections to the Naismith algorithm for an error introduced above
13. Improve handling of depth in GDB import and export (for null/undefined values)
14. Corrected a problem with invalid altitudes
15. Save altitude to 1 signigicant figure in DBF file export.
16. Provide option to allow export of waypoints as Marks for MaxSea PTF files
17. Increased Comport checking to 99 (from 15)
18: Changed port address when querying available com ports plus other minor changes
19. Support for Gauss-Boaga grids in MIF file import
20. Correction to MaxSea PTF file export for marks

-------------------Version 4.95-----------------------

Version 4.9k
------------
1. Export of waypoints in Delorme *.AN1 file
2. Corrected Garmin PVT altitude display (now in metres)
3. Provide Option to not export BOUNDS clause in MIF file export
4. If altitude present then export $GPGGA sentences in NMEA file export as well as $GPRMC
5. Grids added for St Helena and Vanuatu.
6. Corrected an NMEA file import problem when a GGA sentence precedes an RMC sentence
7. Support the import of Gisteq NMEA type files
8. Added Checksum to NMEA GGA export
9. Added EUREF89 datum and fixed Mapfinfo MIF/MID + TAB import/export to deal with this
10. Fixed a bug in *.FSH import of tracks
11. Corrected a problem with HWR file export
12. Fixed some problems associated with map calibration using UTM grids 
13. Fixed a problem associated with *.TFW and *.JGW calibration files
14. Improvement to *.KAP file import
15. Corrected a problem associated with Geo-Referencing JPG files from SONY digital cameras. 
16. Automatically set Track Altitude property when opening *.IGC files
17. Fix for Anquet ADF file import
18. Fix for Garmin *.ADM file import 
19. Corrected a problem with Correlate JPG files for Swedish regional settings


--------------Version 4.94-------------------

Version 4.9j
------------
1. Corrected a problem associated with GSD file import
2. Some minor changes to the file Correlate JPG function 
3. Remove truncation of waypoint ID to 6 chars for Furuno download.
4. Import of MTK  datalogger track files (*.BIN) 
5. Make Geo-Ref JPG files.
6. Deal with other WGS84 datum line formats in photo files.
7. Corrected a problem associated with Charting Routes
8. Added Waypoints to imporet of MTK *.BIN files
9. Fix to HWR file import (remove appending suffixes).
10. Improvements to the Write Geo-referenced JPG function
11. Further bug corrections to the Write Geo-referenced JPG function
12. Fixes to deal with Regional Time Separator ='.' (GPX export + Route import) 
13. Some further fixes to the GeoCode JPG functions
14. Fix to GPX route import when route contains non-unique waypoint IDs.
15. Corrected Cluster waypoint name sequence problem.
16. Fixed a problem with Correlate JPGs from Annotate when JPG does not contain an EXIF 
17. Made Geo-Referencing a Registered only function (for the time being)
18. Fixed a problem associated with filtering tracks (tracksegment attribute)
19. Fixed two problems associated with track compression (index error and track waypoint display)


Version 4.9i
------------

1. Fixed problem with + and - zoom buttons in Correlate Dialog
2. Import of Holix M-241 GPS *.TRL files.
3. Fixed problem associated with MaxSea ptf file import
4. Fixed a problem with GPX file import (time value)
5. Correct a longitude shift in *.Result imports (sony ericsson gsm)
6. Extended RayMarine *.FSH file import to include type code=$22
7. Fixes to deal with large files (>65536 bytes) *.FSH import and export
8. Fix to KML file import to deal with a rare problem


====================4.93===========================

Version 4.9h
------------
1. Output <Lap> in Garmin *.crs file export
2. Show 'undefined' for Waypoint creation times earlier than default time.
3. Set modified flag for Interpret Comment as a time
4. Make Photo Correlate dialog non sizeable
5. In Photo correlate dialog make folder non user editable (browse only)
6. Support for NZ Map Grid (projection 18) in MIF/MID file import/export and TAB import
7. Rework of Photo correlate function for waypoints.
8. Further Rework of Photo correlation function
9. In GPX file format do not save waypoints when Routes only should be saved
10. Only show icons on map view when correlate function is active.  
11. Fixes for Photo correlation when using waypoints. 
12. Added menu bar to Route Edit Dialog
13. Different icons for Waypoint and Track styles on KML file export
14. Corrected some Route view Tools 
15. Corrected Help regarding Routes and Photo Correlation


Version 4.9g
------------
1. Fix to import NMEA files (use date in GPRMC sentence even if invalid fix)
2. Fix for GPX import when an empty metadata tag present.
3. Fixes a regression bug in version 4.9f (not saving waypoints) 


Version 4.9f
------------
1. Corrected import of yellow symbols for Furuno *.ROU files
2. Fix for Annotation Fix Vector and Pointers for Mils units
3. Fix for export of waypoints in Kartex KWF files
4. Save Furuno Navnet *.TRK files
5. Save Colours and Style Colours in Google Earth KML file export (routes and tracks)
6. Fix to Kartex KRF regression bug caused by previous fix
7. Fix to Furuno TRK export (output Mercator Latitude not normal latitude)
8. Modified Styles dialog so as to show Color-2 rather than 'Border', as it includes Tics and Points color. 


Version 4.9e
------------

1. Moved Grids from Options|General to its own tab page (Options|Grids)
2. Implemented Bearings as Mils (see Options|General)
3. Fix for KAP files (calibration error) 
4. Fix to Mil bearing (range 0-6400)
5. Fix for TFW calibration file problem.
6. Two fixes to JPG Correlate function (regional date settings and interpolation)
7. Implemented funciton to Interpret time from Waypoint comments. 
8. Support for Correlate JP files from Waypoint menu
9. Fix to Garmin CRS file export
10. Initial support for import of Transas AI files.
11. Import of GlobalSat *.gsd files 
12. Fix to area calculation in the Track Segment Detail report
13. Import Time from Tracklogs V3 TRL files
14. Fix for Route selection in HWR file export
15. Support for NZTM grid in Mapinfo MIF file import/export


Version 4.92M
-------------

1. Fix to MUB file opening problem
2. Provide a GPS|Setup... option for Raymarine (CF card) mode


-----------Version 4.92--------------------------

Version 4.9d/e
------------
1. Export of PCPlanner *.xml files (Waypoints as Marks only) 
2. Fixes for Maptech RXF file export (default colour) and symbol translation
3. Fix for Anquet ADF file import of Routes
4. Fix for import of CPLOT *.USR files (Unix format)


Version 4.9c
------------
1. Import of Raymarine *.FSH files - waypoints+routes (currently Tracks have wrong latitude).
2. Export of Raymarine *.FSH files - currently waypoints only.
3. Import of Furuno *.DFL (GD188) files (limited attributes at present).
4. Deal with ZIP and KML files written by a 'non-seeking' program (length data at end of file)
5. Correct a regression bug associated with unzipping DEM *.HGT files.
6. Fix for an obscure bug associated with reading in GPX files with no-name waypoints
7. Support for import of Sony/Ericsson *.result files. (for devices such as HGE-100)
8. Fix to export of FSH files
9. Fix to export of MapSource GDB files when data contains an Empty Route (zero waypoints)


Version 4.9b
------------
1. Correct real time Garmin PVT altitude t obe in feet (not meters)
2. Correct Export Anquet *.AEF version 1 file export (waypoints not in routes) 
3. Implemented means to transfer GPSU to a removeable media device. 
4. Fixes to Delorme *.AN1 file import for new file format variation + extract datetime from track data.
5. Fix to SHP file export (cure regression bug).
6. Fixes to deal with MS Vista problem and Magellan Explorer interface operation.
7. Do not try to set exe name in registry if running from Removeable media drive (no BFC operation).
8. Fix to Load Bitmap dialog when there is no last image file.  


Version 4.9a
------------
1. Fix to Maxsea *.wpt route export.
2. Several fixes and improvements to the Correlate JPG function.
3. Removed obsolete auxiliary data checkboxes from Options|Field Properties dialog.
4. Fix to JPG correlate - E/W problem.
5. Further Fixes to JPG Correlate to deal with files from other cameras
6. Fixed datum problem in JPG Correlate
7. Improvements to AuroRoute AXE and S&T *.EST file import for Annotations
8. Various Fixes to *.KML and *.KMZ file import.


Version 4.91
------------

1. Corrected *.DAT files regression bug (Coastline Extractor files)
2. JPG file echoing on map view improvements. 
3. Import of track data from AXE, EST or PTM files. 
4. Improvements to Mapinfo *.TAB fileset import (datums other than WGS84 and other projections)
5. Support Garmin proximity data in GPX file import and export

==================4.90===============================

Beta Version 4.8q
-----------------
1. Corrections to JPG file Correlate function (deal with photos with no time data) + other minor fixes
2. Added option to show position on JPG photos as a caption
3. Added option to JPG Correlate dialog to allow user to select Dataset folder or another user folder.  
4. Added Camera Time Zone in JPG dialog
5. Allow user to enter time difference in JPG dialog
6. Corrected fault when photo folder contains photos which cannot be geo-located.
7. Option to select Camera size icon
8. When JPG Dialog closes, return map to original size and position
9. Fix to deal with a Kodak Digital camera older JPG file
10. Import and Export of Navigo *.DAT files supported (waypoints only)


Beta Version 4.8p
-----------------
1. Corrections to Altitude in USR file import/export
2. Some special code to handle depth as altitude data
3. Fix for some special editions when exporting waypoint data


Beta Version 4.8o
-----------------
1. Includes all Version 4.89 changes
2. Correlate JPG photographs with Trackpoint data (gives position of photos)
3. Mean gradient line in Route profile chart
4. Route report - cumulative distance as an alternative to Duration
5. Import of KML route strings - check for existing waypoints instead of using sequence number
6. Depth now supported in Position Console
7. HDOP/EPE now an alternative for Auxiliary Data in real time track log 


Beta Version 4.8/n
------------------
1. Corrected problem regarding Track sequence IDs when Track Real time CP is working
2. Implemented support for import of Magellan Maestro *.DAT files
3. Treat *.AXE files as *.PTM and use field separator in Comment field
4. Support Heartrate in GPX file import/export.

Beta Version 4.8l/m
-----------------
1. fixes as for Version 4.87 included
2. Import of Mapinfo *.TAB fileset (limited capability) 
3. Export of Default symbol (as in Map Appearance setting) in DXF files

Beta Version 4.8k
-----------------
1. All bug fixes from standard version 4.80 -> 4.85
2. Support for MemoryMap QCT bitmap files (READONLY)
3. Improving handling of accented (Danish) characters.

Beta Version 4.8j
-----------------
1. Suppport Symbols and Depth for Garmin ADM file import
2. Symbol set for Garmin GPSMap450
3. Export waypoints in Garmin ADM files
4. Corrected PRJ file export when UTM projection
5. Support for Routes in ADM file export
6. Support for Tracks in ADM file export

Beta Version 4.8i
-----------------
1. Fixed F2 hotkey (Edit) in table view
2. Fixed F3 hotkey (Select next) in table view
3. Fixed Track a Record|Paste Inverted problem
4. Correct a few problems associated with curved grids and calibrating lambert maps.
5. Write *.PRJ files for DBF/SHP file export (+ Option in Save/Export options dialog)
6. Import Garmin ADM files
7. Fix for track length refresh after dragging trackpoint on map

====================================================================
Version 4.89 - not yet released
------------
1. Corrected a rare calibration problem 
2. Corrected a problem when saving files from a window with Waypoint creation time
3. Fix for import of some *.CRS and *.GPX files (invalid dates)
4. Fix for Grid Labels (excess '0's when grid projection)
5. Minor fixes in Chart Route function
6. Cosmetic fix in Route edit dialog (Alt gain column obscured by scroll bar)
7. Fix for a bug in DEM interpolation
8. Fix to Map Preview dialog. 

Version 4.88
------------
1. Corrected problem for Furuno *.ROU file interface download/upload
2. Fixed a Route Edit dialog problem associated with deletion
3. Fix for a rather obscure map calibration problem
4. Fix for Magellan Explorist interface upload/download

Version 4.87
------------
1. Maintain Map calibration list in a most recently used order. 
2. Fix for unusual form of TFW file
3. Fix for waypoint altitude in USR file import
4. Fix for Streets and Trips 2008 new format (also Autoroute express)
5. Fix for MS Vista when disk drive present but no disk mounted
6. Fix for some minor problems created by previous versions 
7. Support recent Mapsource *.gdb file format change for tracks
8. Interface support for Garmin *.ADM files
9. Changes to deal with networked folders
10. Corrections to deal with invalid settings
11. Corrected problem regarding Track sequence IDs when Track Real time CP is working
12. Correction for Furuno Route import (route header)


Version 4.86
------------
1. Import and Export of Garmin SD card *.ADM files
2. Improvements to Import/Export of Kartex files (*.kwt files and other formats)
3. Improving handling of accented (Danish) characters.
4. Corrected a bug in Route view Tools|Rename waypoints in Route
5. Corrects a small calibration rounding error for TFW and JGW calibration files.

Version 4.85
------------
1. Corrects 2 regression bugs associated with Editing waypoints in routes


Version 4.84
------------
1. Correction to Heartrate display for waypoint data
2. Fix for DXF track import.

Version 4.83
------------
1. Fix for track digitizing problem (invalid time sequence lockup)
2. Correct Reverse Route function
3. Provide a 'Reverse' button on the Route edit dialog.
4. Correct some 'Center on Map' problems for routes. 
5. Correct Mapsend TRK file export (altitude for version MS30 files)


Version 4.82
------------
1. Fixed regression problem associated with changing distance units
2. Fix for track length refresh after dragging trackpoint on map
3. Fix for Depth label when changing depth units (metres/feet). 


Version 4.81 fixes
------------------
1. Problem with Chart Routes when no trackpoint present
2. Fix for Save *.PDB files 
3. Fix for Interface Monitor autolog - save files in User's My GPSU folder

===================4.80================================

Version 4.8h
-----------
1. Corrections to Silva/Brunton Route upload
2. Fix for save tracks in ARF format (List Index out of Bounds) problem
3. Fix for 'Mark All' tracks/track segments as Hidden
4. New page on File|Save/Export Options for DBF/DXF
5. Allow selection of track output mode in Google Earth export
6. Correction to Record|Mark All... dialog box (numbers of items)


Version 4.8g
------------
1. Export tracks as $GPRMC sentences in NMEA file export
2. Corrections of Track digitising and trackpoint deletion
3. several fixes for AN1 file imports
4. Fix for GPX file import when there is no name 
5. Fix for regression bug in Mapinfo MIF file export
6. Fix for import of Anquet ADF files
7. Fix for map scrolling
8. Fix for Anquet ARF file export (tracks)


Version 4.8f
------------
1. Progress indicator on DEM file download
2. Fix to Detailed Download log on DEM file download
3. Extra scroll bar removed in Route Edit dialog
4. Gross Ascent/Descent added to View|Reports - Route Information
5. Naismith leg duration added to Route Edit dialog and to View|Report
6. User setting to allow/disallow Style updates when duplicate style encountered
7. Open Route information if View|Reports when in Route table
8. Update Naismith rule data when switching in Edit Route
9. DEM download uing Passive mode
10. Check that DEM files are sensible
11. DEM download progress indicator now showing File number
12. Altitude Gain column added to Route Edit dialog 


Version 4.8e
------------
1. Digital Elevation Model (DEM) implemented
2. Fix for Date/Time error when editing from the Track Summary view 
3. Fix for CPLOT XML file import
4. Fixed problem with NavNet ROU file import
5. Fixed problem with lowercase field names in MIF import
6. Fixed problem with MIF export (scale factor for UTM grids)
7. Fixed a problem with PNG file import when used after a QCT file import
8. Added a 'Border' colour to the Styles attributes (affect TIC colour)
9. Fixes for getting heights from DEM when digitising
10. Fixes for Heartrate files (don;t change units and no depth column in waypoint view)
11. Deal with heartrate in Chart Tool and Reports 
12. Set Altitude from DEM tool
13. Query time when merging file with undefined time.
14. Fix for tracks which do not have a valid time, but with a timed TIC mark
15. Implemented Style Border for Routes 
16. Changes to border threshold and Tic thickness.
17. Fix Highlighted marker display in Track Summary table
18. Assume that undefined times in merging files are in UTC time zone
19. Fixed a regression bug associated with the Swiss Grid
20. Echo track identifier correctly in Chart window.
21. Fixed a map problem of hidden waypoint, but the route not hidden 


Versionn 4.8d
-------------
1. Upgrades to trackpoint timestamp interpolation (invalid data and Tools|Set Time between highlighted)
2. Import of Delorme DMT files
3. Corrections to calibration errors in QCT file import


Version 4.8c
------------
1. Corrected a problem with long symbol names (greater than 20 chars)
2. Provided Upload/Download facility for Furuno ROU/RAT files.
3. Support for 'LinearRing' data in KML file import
4. Fix for Anquet ADF file import (some coordinates)
5. Fix for a Ctrl-F3 problem of selecting the wrong record
6. Fixed a problem associated with waypoint deletion (many records)
7. Fixes for AN1 file import
8. Major performance improvement for QCT file import
9. Remember sizes of Edit table and Map for use next time.
10. Fixes for GPX file export 
11. Changed Style Yellow to be a little brighter.


Version 4.8b
------------
1. Support for MemoryMap QCT bitmap files (READONLY)
2. Fix to Waypoint table - sorting by clicking on header line
3. Remember user's document folder
4. Fix to keep Trackname when style also changed in Data Dialog
5. Fixes for MemoryMap QCT bitmap file import 
6. Fix for Magellan Track download problem
7. Cleanup of Garmin TCX file import, improve treatment of altitude and heartrate data
8. Fix for Print Bitmap Window error plus echo area size on map view
9. Corrected a Usability bug associated with QCT file import


Alpha version now promoted to Beta version 4.8a

Version Alpha A1l/V 
-------------------
1. Import of Delorme SAF files
2. Fixes for gibberish styles on download from a Garmin, corrections to track sequence number
4. Fixes to the Route Edit dialog when deleting waypoints.
5. Allow user to move track segments up/down in summary table
6. Fixes for GDB and USR files import in Freeware version 


Version Alpha A10.k 
-------------------

1. Experimental changes to the Route View table and Route editing
2. Smoothing filter for track altitude implemented
3. Fixes for several problems in the Route Edit dialog
4. Route and Track Styles
5. Extensive changes to the trackpoint internal data base 
6. Track Sequence number replaced by Track segment + point number
7. Fixed 'Centre on Map' for Route table popup command
8. Fixed repetitive prompt "Confirm: Save changes to route? YES, NO" when changing routes
9. Made number of rows in Route Edit table equal to 1+number in use
10. Make Info Button visible on Track summary and Route table views
11. Fixed 'Join All' from the Track (summary) table view 
12  Implemented Record|Mark All as... menu item
13  Fixed problem of right hand of cell when text overflows boundary between cells 
14. More information (columns) of information
15. Stopped Leg speed being reset
16. Route Centering on Map display sorted
17. View|Styles menu now on Map view 
18. Corrected Tools|Smooth Altitude function
19. Route number now starts at 01 not 00 when digitising routes

=================standard version 4.50==============================

BETA versions
Version 4.5n
-------------
1. Fix for Summary track table after doing Join All 
2. Fixed bug in DBF file export when number of records is greater than 65535
3. Fix for ADF file import problem

Version 4.5n
------------
1. Fix for a PTF file save problem associated with merging files
2, Import of 
3. Fix for import of Tracklogs TRL files

Version 4.5m/n
--------------
1. Import of Garmin *.tcx file (Training Centre new format files)
2. Fix for MS Vista BFC interface initialisation
3. Fix for new Route type in ADF Anquet file import



Version 4.5l/V
--------------
1. Fix for Import Garmin GDB files version 6.00
2. Allow unnamed waypoints for import Lowrance USR files
3. Support import of Lowrance USR Version 3 files
4. Import and export waypoint creation time for Lowrance USR files
5. Recompile Help for Vista
6. Fix to Vista patch so that only Vista machines affected by BFC problem
7. Fix for PTF file import problem


Version 4.5k/V
--------------
1. Fix for Nobeltec ONF file import (Mark names)
2. Added a 'Set Time of Closest approach to Waypoint Creation time' button to Report
3. Import of Anquet *.ADF files
4. Fix for SHP file import (buffer overflow problem)
5. Fix for a re-calibrate problem using the Data Dialoge from the Map view


Version 4.5j/V
--------------
1. Fix fo GPX file import (when comment plus waypoint extension)
2. Patch for Vista
3. Fix for File|Save As.. Ozi Explorer export
4. Various fixes to do with track selection in Track Summary Window
5. Upgrade for MMO file import


Version 4.5i
------------
1. Import Sony GPS files
2. Fix View|Coordinate Format submenu when in Map View
3. Import of MagicMaps2Go *.ikt files
4. Fix for Unicode characters in Streets and Trips pushpin names *.est and *.arx files
5. Fix for GPX file import

Version 4.5h
------------
1. Fix for minor formating problem with UTM file export
2. Support for import/export of Navigon ASC files
3. Fix for Mapsource Beta 6.12.0 (new format) GDB file import
4. Corrected a small calibration error when using TFW files
5. Import facility for Kartex RRF,KRF and KTF files + export of KRF and KTF files 

Version 4.5g
------------
1. Fix for spurious Proprietry map message
2. Fix for BFC usage problem when a file contains a calibration 
3. Support for File|Open from Clipboard
4. Fixes to deal with up to 2047 waypoints in Furuno ROU file export
5. Clean up of file selection when saving files (mostly for Magellan SD card formats)
6. Fix for Mapsend *.wpt import when file contains a route
7. Export Routes in a Mapsend *.wpt file
8. Appearance clean up of GPSU|About panel
9. Expose the Magellan file mode for route export (Meridian/Explorist)
10. Write final command end line in Route Explorist file export
11. Correct final command line (one only)
12. Give warning message when exporting Routes names longer than 8 characters to Mapsend files
13. Implemented Lambert projection (double standard parallel) for MIF file import/export
14. Corrected India Zone IIA abd IIB plus Morocco Zone 1 grids 
15. Support for PolyLineM shapes in SHP file import 
16. Fix for MIF file import

Version 4.5f
------------
1. Fix for regression bug in map calibration in freeware version.
2. Support for export of Furuno ROU/RAT files
3. Maximum number of symbols set to 512
4. Support datum GDA94 for Mapinfo import/export
5. Centre Route Edit dialog on Screen


Version 4.5e
------------
1, Fix for a Track digitising after use of Filter tool
2. Support for Waypoint extension data for Garmin GPX files

Version 4.5d
------------
1. Fixes to deal with latest MMO file format (type=20)
2. Fixes to S&T *.EST file import to deal with new format in S&T 2007

Version 4.5c
------------
1. Improved Support for Annotation in MMO file import
2. Correction of regression bug altitude in Ozi WPT file import

Version 4.5b
-------------
1. Support for Maptech (Terrain Navigator Pro) Symbols
2. Provide Track table Tool Swap Altitude<->Depth so that Depth can be exported in Ozi files
3. Provide a Select-None/Select-All menu option on View|Reports..
4. Do not output unrecorded data when only one Segment in Track Segment Detail.
5. Correct problem with selecting and editing Annotations from the Map view
6. Correct a problem in View|Reports...  Track Segment Detail.


Version 4.5a  (= Alpha Version A.10.g)
------------------------------
1. Fix for MMO file import (Routes in new format)
2. Fix to deal with PTF files which have invalid/undefined coordinates
3. Fix for truncated hours in View|Reports....


Version A.10.f
--------------
1. Fix for Maxsea file of format type 0800
2. Removal of bad icon which shows on WinME systems


Version A.10.e
--------------
1. Changes to improve sorting in View|Reports..  - Track to Waypoint closest approach
2. Fix for Chart Tracks when track spans midnight UTC.
3. Fix to Chart when no x-axis data and mouse echoing value
4. New function - View|Track segment Details
5. More changes to View|Track Segment Details (Net Ascent etc.)
6. Fix for Console (Floating point error)


Version A.10.d
--------------
1. Changes for ISYS Special Edition - for HWR file support
2. Fixed Help pages
3. Default new file is now *.hwr
4. Corrected Waypoints/Route number 
5. New function - Calibrate Altitude (with improvements) 
6. New function - View|Reports -> Waypoint to Track distances


Version A.10.c
--------------
1. Fix for TRL GPX file import
2. Fix for TomTom CFG file import
3. Make default for Track altitude labels equal to 'None'
4. Fix for for Hidden trackpoint altitude labels.
5. Correct regression bug associated with Track Summary table
6. Correct regression bug for Info window no showing up in Edit tables.
7. Fix for Map drawing problem (scrolling causing lockups/address violations)
8. Fix for regression bug for Garmin GPSMap60CSX download (waypoint creation time)
9. Updated fix for the regression bug associated with double clicking in Track Summary table


Version A.10.b
--------------
1. Fix for KMZ file import
2. Fix for trackpoint altitude labels on Map view
3. Removed some code which may have been causing problems during map redraw


Version A.10.a
--------------

MAJOR INTERNAL CHANGES

1. Initial work for Track/Route attributes
2. Mercator Grid supported
3. Coordinate format and Projection now separated
4. Curved grids on Map view (for Mercator)
5. Rework to database and data table display (major performance improvement)
6. Extend number of trackpoints to 500,000


Version 4.31
================================================================================